# V1beta1DeviceAttribute

DeviceAttribute must have exactly one field set.
## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**bool** | **bool** | BoolValue is a true/false value. | [optional] 
**int** | **int** | IntValue is a number. | [optional] 
**string** | **str** | StringValue is a string. Must not be longer than 64 characters. | [optional] 
**version** | **str** | VersionValue is a semantic version according to semver.org spec 2.0.0. Must not be longer than 64 characters. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


